Quilt complex solver error

Hello,
i got this message while updating my mods
can you tell me what is wrong with it ?
Thanks

---- Quilt Loader: Failed to load ----
Date/Time: 2023/10/09 16:03:37.4296
Quilt Loader Version: 0.21.0

-- Error 1 --

Unhandled solver error involving the following rules:
Rule 1:
Breakage for {org.quiltmc.loader.impl.plugin.fabric.FabricModOption 'create' from <mods>/extras/create-fabric-0.5.1-d-build.1161+mc1.20.1.jar} on sodium versions [>0.5.0] (1 breaking options, 0 okay options)
	x {org.quiltmc.loader.impl.plugin.fabric.FabricModOption 'sodium' from <mods>/sodium-fabric-mc1.20.1-0.5.3.jar} {org.quiltmc.loader.impl.plugin.fabric.FabricModOption 'sodium' from <mods>/sodium-fabric-mc1.20.1-0.5.3.jar}
Rule 2:
Dependency for {org.quiltmc.loader.impl.plugin.fabric.FabricModOption 'indium' from <mods>/indium-1.0.27+mc1.20.1.jar} on sodium versions [=0.5.3] (1 valid options, 0 invalid options)
	+ {org.quiltmc.loader.impl.plugin.fabric.FabricModOption 'sodium' from <mods>/sodium-fabric-mc1.20.1-0.5.3.jar} {org.quiltmc.loader.impl.plugin.fabric.FabricModOption 'sodium' from <mods>/sodium-fabric-mc1.20.1-0.5.3.jar}
Rule 3:
Mandatory mod Indium (indium) v1.0.27+mc1.20.1
Rule 4:
Dependency for {org.quiltmc.loader.impl.plugin.fabric.FabricModOption 'railways' from <mods>/extras/Steam_Rails-1.5.1+fabric-mc1.20.1.jar} on create versions [*] (1 valid options, 0 invalid options)
	+ {org.quiltmc.loader.impl.plugin.fabric.FabricModOption 'create' from <mods>/extras/create-fabric-0.5.1-d-build.1161+mc1.20.1.jar} {org.quiltmc.loader.impl.plugin.fabric.FabricModOption 'create' from <mods>/extras/create-fabric-0.5.1-d-build.1161+mc1.20.1.jar}
Rule 5:
Mandatory mod Create: Steam 'n' Rails (railways) v1.5.1+fabric-mc1.20.1

Create is incompatible with Sodium 0.5+. You might also have to install Indium, if you haven’t already, for your other mods.

I downgraded sodium to 1.4.10 (with all of my other mods that require it)
and it just crashes while launching, ending up in a minecraft crash (that i can provide if you want)
removing iris gives me this internal error from quilt :

---- Crashed! ----
Date/Time: 2023/10/11 19:02:06.2991
Quilt Loader Version: 0.21.0

-- Crash --

java.lang.RuntimeException: Mixin transformation of org.quiltmc.loader.impl.launch.knot.UnusedEmptyTargetClass failed
	at org.quiltmc.loader.impl.launch.knot.KnotClassDelegate.getPostMixinClassByteArray(KnotClassDelegate.java:459)
	at org.quiltmc.loader.impl.launch.knot.KnotClassDelegate.tryLoadClass(KnotClassDelegate.java:241)
	at org.quiltmc.loader.impl.launch.knot.KnotClassLoader.loadIntoTarget(KnotClassLoader.java:254)
	at org.quiltmc.loader.impl.launch.knot.Knot.init(Knot.java:167)
	at org.quiltmc.loader.impl.launch.knot.Knot.launch(Knot.java:78)
	at org.quiltmc.loader.impl.launch.knot.KnotClient.main(KnotClient.java:28)
Caused by: org.spongepowered.asm.mixin.throwables.MixinApplyError: Mixin [#quilt_resource_loader:quilt_resource_loader.mixins.json:ResourcePackMixin from mod quilt_resource_loader] from phase [DEFAULT] in config [#quilt_resource_loader:quilt_resource_loader.mixins.json] FAILED during PREPARE
	at org.spongepowered.asm.mixin.transformer.MixinProcessor.handleMixinError(MixinProcessor.java:638)
	at org.spongepowered.asm.mixin.transformer.MixinProcessor.handleMixinPrepareError(MixinProcessor.java:585)
	at org.spongepowered.asm.mixin.transformer.MixinProcessor.prepareConfigs(MixinProcessor.java:543)
	at org.spongepowered.asm.mixin.transformer.MixinProcessor.select(MixinProcessor.java:462)
	at org.spongepowered.asm.mixin.transformer.MixinProcessor.checkSelect(MixinProcessor.java:438)
	at org.spongepowered.asm.mixin.transformer.MixinProcessor.applyMixins(MixinProcessor.java:290)
	at org.spongepowered.asm.mixin.transformer.MixinTransformer.transformClass(MixinTransformer.java:234)
	at org.spongepowered.asm.mixin.transformer.MixinTransformer.transformClassBytes(MixinTransformer.java:202)
	at org.quiltmc.loader.impl.launch.knot.KnotClassDelegate.getPostMixinClassByteArray(KnotClassDelegate.java:454)
	... 5 more
Caused by: org.spongepowered.asm.mixin.transformer.throwables.MixinTargetAlreadyLoadedException: Critical problem: #quilt_resource_loader:quilt_resource_loader.mixins.json:ResourcePackMixin from mod quilt_resource_loader target net.minecraft.class_3262 was loaded too early.
	at org.spongepowered.asm.mixin.transformer.MixinInfo.readDeclaredTargets(MixinInfo.java:948)
	at org.spongepowered.asm.mixin.transformer.MixinInfo.<init>(MixinInfo.java:882)
	at org.spongepowered.asm.mixin.transformer.MixinConfig.prepareMixins(MixinConfig.java:852)
	at org.spongepowered.asm.mixin.transformer.MixinConfig.prepare(MixinConfig.java:777)
	at org.spongepowered.asm.mixin.transformer.MixinProcessor.prepareConfigs(MixinProcessor.java:540)
	... 11 more

what is the problem,
thanks for your help and your patience

Unfortunately, this one is not possible to deduce from the logs, but lately people have been having this exact issue with CristelLib, so if you have that mod that would be why you are crashing. If not - I’m afraid you’ll have to binary search for the problematic mod.

Removing CristelLib makes something else crash minecraft (i suppose)
since it is not quilt’s fault, i will do a binary search
thanks again, if there’s any other issue with quilt i will get back to you

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.